package com.qmth.qrzk.repository.user.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 审题任务
 * @author 马涛
 *
 */
public class AuditQuesTask {
	private Integer id;
	private Integer batchId;
	private Date planStartTime;//计划开工时间
	private Date planEndTime;//计划结束时间
	private Date realStartTime;//实际开工时间
	private Date realEndTime;//实际结束时间
	private String remark;//备注
	private Integer createdBy;
	private Date createdTime;
	private Date updatedTime;		//最近更新时间
	private Integer updatedBy; //最近更新人
	private String guid;
	private Integer courseId;
	private Course course;
	private String courseCode;//Excel导入数据时使用
	private String courseName;//Excel导入数据时使用
	private String auditors;//Excel导入数据时使用
	private int draftNum;	//当前任务下草稿状态的试题的数量
	private int approvedNum;//当前任务下审核通过状态的试题的数量
	private int rejectedNum;//当前任务下审核拒绝状态的试题的数量
	private List<AuditQuesTaskUserLink> auditorLinks;
	private List<User> auditorList = new ArrayList<User>();
	
	public AuditQuesTask() {
		
	}
	
	public AuditQuesTask(String courseCode, String courseName, String auditors) {
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.auditors = auditors;
	}
	
	public List<User> getAuditorList() {
		return auditorList;
	}

	public void setAuditorList(List<User> auditorList) {
		this.auditorList = auditorList;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getBatchId() {
		return batchId;
	}
	public void setBatchId(Integer batchId) {
		this.batchId = batchId;
	}
	public Date getPlanStartTime() {
		return planStartTime;
	}
	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}
	public Date getPlanEndTime() {
		return planEndTime;
	}
	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}
	public Date getRealStartTime() {
		return realStartTime;
	}
	public void setRealStartTime(Date realStartTime) {
		this.realStartTime = realStartTime;
	}
	public Date getRealEndTime() {
		return realEndTime;
	}
	public void setRealEndTime(Date realEndTime) {
		this.realEndTime = realEndTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public Integer getCourseId() {
		return courseId;
	}
	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	public Course getCourse() {
		return course;
	}
	public void setCourse(Course course) {
		this.course = course;
	}
	public List<AuditQuesTaskUserLink> getAuditorLinks() {
		if(auditorLinks == null){
			auditorLinks = new ArrayList<AuditQuesTaskUserLink>();
		}
		return auditorLinks;
	}
	public void setAuditorLinks(List<AuditQuesTaskUserLink> auditorLinks) {
		this.auditorLinks = auditorLinks;
	}
	public String getAuditors() {
		return auditors;
	}
	public void setAuditors(String auditors) {
		this.auditors = auditors;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public int getDraftNum() {
		return draftNum;
	}

	public void setDraftNum(int draftNum) {
		this.draftNum = draftNum;
	}

	public int getApprovedNum() {
		return approvedNum;
	}

	public void setApprovedNum(int approvedNum) {
		this.approvedNum = approvedNum;
	}

	public int getRejectedNum() {
		return rejectedNum;
	}

	public void setRejectedNum(int rejectedNum) {
		this.rejectedNum = rejectedNum;
	}
	public int getStatTotalNum(){
		return draftNum + approvedNum + rejectedNum;
	}
}
